#
# spec file for package python-azure-identity-broker
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%if 0%{?suse_version} >= 1500
%define skip_python2 1
%endif
Name:           python-azure-identity-broker
Version:        1.0.0
Release:        1.1
Summary:        Microsoft Azure Identity Broker plugin for Python
License:        MIT
Group:          Development/Languages/Python
URL:            https://github.com/Azure/azure-sdk-for-python
Source:         https://files.pythonhosted.org/packages/source/a/azure-identity-broker/azure-identity-broker-%{version}.tar.gz
Source1:        LICENSE.txt
BuildRequires:  %{python_module azure-nspkg >= 3.0.0}
BuildRequires:  %{python_module azure-identity < 2.0.0}
BuildRequires:  %{python_module azure-identity >= 1.14.0}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-azure-identity < 2.0.0
Requires:       python-azure-identity >= 1.14.0
Requires:       python-azure-nspkg >= 3.0.0
Requires:       python-msal < 2.0.0
Requires:       python-msal >= 1.25.0
Conflicts:      python-azure-sdk <= 2.0.0
BuildArch:      noarch
%python_subpackages

%description
This package extends the Azure Identity library by providing supplemental
credentials for authenticating via an authentication broker.

An authentication broker is an application that runs on a user’s machine that
manages the authentication handshakes and token maintenance for connected
accounts. Currently, only the Windows authentication broker, Web Account
Manager (WAM), is supported.

%prep
%setup -q -n azure-identity-broker-%{version}

%build
install -m 644 %{SOURCE1} %{_builddir}/azure-identity-broker-%{version}
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}
%{python_expand # delete common files
rm -rf %{buildroot}%{$python_sitelib}/azure/__init__.*
rm -rf %{buildroot}%{$python_sitelib}/azure/__pycache__
}

%files %{python_files}
%doc CHANGELOG.md README.md
%license LICENSE.txt
%{python_sitelib}/azure/identity/broker
%{python_sitelib}/azure_identity_broker-*.egg-info

%changelog
* Tue Dec 12 2023 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- Initial build
  + Version 1.0.0
